﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Data.SqlClient;
using System.Configuration;

/*******************************************************
 
 ** 作者: SoFlash - 博客园  http://www.cnblogs.com/longwu
 
 ** 描述: FrmLogin.cs 用于 用户登录窗体的 实现 

 ******************************************************/

namespace 电影记录管理系统
{
    public partial class FrmLogin : Form
    {
        public FrmLogin()
        {
            InitializeComponent();
        }
        //首先 设置 连接到配置文件 App.config 
        //当然 这里的 ConfigurationManager 系统是默认不使用其命名空间的 因此需要解析
        string connStr = ConfigurationManager.ConnectionStrings["str"].ConnectionString;

        //定义一个全局变量 Uid;
        //用于获取登录成功后的用户名
        public static string Uid;

        //定义一个全局变量 Time
        //用于获取登录成功后的用户的登录时间
        public static DateTime Time;

        //定义一个登录全局变量 用来获取 "登录" 或是"退出"
        public static string Situation;
        //---------------------新增代码----------------------//
        //定义一个全局变量UserType 用来获 登录用户的类型
        public static string UserType;
        //---------------------新增代码----------------------//

        private void btnLogin_Click(object sender, EventArgs e)
        {
            //使用SqlConnection 来连接数据库
            using(SqlConnection conn = new SqlConnection(connStr))
            {
                // 注释掉之前的select语句 string sql = "select MUserPwd from MovieAccount where MUserName ='" + txtName.Text + "'";
                //---------------------新增代码----------------------//
                //这里新增了 从数据库里 获取UserType 这列的内容 
                string sql = "select MUserPwd,UserType from MovieAccount where MUserName ='" + txtName.Text + "'";
                //---------------------新增代码----------------------//

                //创建 SqlCommand 数据库执行指令
                using (SqlCommand cmd = new SqlCommand(sql,conn))
                {
                    //打开数据库连接
                    conn.Open();
                    //使用 SqlDataReader 来 读取数据库  
                    using (SqlDataReader sdr =cmd.ExecuteReader())
                    {
                        //SqlDataReader 在数据库中为 从第1条数据开始 一条一条往下读 
                        if(sdr.Read())  //如果读取账户成功(文本框中的用户名在数据库中存在)
                        {
                            //则将对应该用户名下的 第一个字段 即使密码(MUserPwd为select的第一个字段) 赋给 字符串pwd  ,并且依次往后读取 所有的密码
                            //Trim()方法为移除字符串前后的空白
                            string pwd =sdr.GetString(0).Trim();
                            //---------------------新增代码-------------------------------//
                            //读取器sdr获取了2列数据 第1列为密码 第2列 即索引为1的是用户类型
                            string uType = sdr.GetString(1);
                            //---------------------新增代码-------------------------------//

                            //如果 文本框中输入的密码 ==数据库中的密码
                            if(pwd==txtPwd.Text)
                            {
                                //获取登陆成功后的用户ID
                                Uid = txtName.Text;
                                
                                //添加一段获取登录时间的代码
                                //new一个当前用户的登录时间 用来获取当前时间
                                DateTime currentTime = new DateTime();
                                //获取当前登录时间
                                currentTime = DateTime.Now;
                                //将当前登录的时间赋给全局变量 Time
                                Time = currentTime;

                                //添加获取当前登录情况的代码
                                //获取当前用户登录的情况
                                Situation = "登录";
                                //---------------------新增代码-------------------------------//
                                //将登录成功的用户类型 赋给全局变量UserType
                                //用于获取当前登录 用户的类型
                                UserType = uType;
                                //---------------------新增代码-------------------------------//


                                //说明在该账户下 密码正确, 系统登录成功
                                MessageBox.Show("系统登录成功,正在跳转主页面...");
                                FrmMain main = new FrmMain();
                                main.Show();
                                this.Hide();
                            }
                            else
                            {
                                //否则密码错误 再次输入密码
                                MessageBox.Show("密码错误!请再次输入!");
                                //并自动将当前密码 清空
                                txtPwd.Text ="";
                            }
                        }
                        else
                        {
                            //如果读取账户数据失败, 则用户名不存在
                            MessageBox.Show("用户名不存在,请重新出入!");
                            //并自动清空账户名
                            txtName.Text = "";
                        }
                    }
                }
            }
        }
    }
}
